<?xml version="1.0" encoding="UTF-8"?>
<!-- Created with Jaspersoft Studio version 6.6.0.final using JasperReports Library version 6.6.0  -->
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="StokSaldo" pageWidth="595" pageHeight="842" whenNoDataType="NoPages" columnWidth="535" leftMargin="30" rightMargin="30" topMargin="20" bottomMargin="20" uuid="39bc2ac5-4f21-4e99-b082-c374bd83fe28">
	<property name="ireport.scriptlethandling" value="0"/>
	<property name="ireport.encoding" value="UTF-8"/>
	<property name="com.jaspersoft.studio.data.defaultdataadapter" value="DutaJayaDataAdapter.xml"/>
	<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
	<import value="net.sf.jasperreports.engine.*"/>
	<import value="java.util.*"/>
	<import value="net.sf.jasperreports.engine.data.*"/>
	<parameter name="toko" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["Rejeki Makmur"]]></defaultValueExpression>
	</parameter>
	<parameter name="alamat1" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["Ruko Tidar Mas Square C16"]]></defaultValueExpression>
	</parameter>
	<parameter name="alamat2" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["Surabaya - 6102 - Indonesia"]]></defaultValueExpression>
	</parameter>
	<parameter name="telp" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["Ph. 08123123123, 031-30423123"]]></defaultValueExpression>
	</parameter>
	<parameter name="email" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["rejeki.makmur@yahoo.com"]]></defaultValueExpression>
	</parameter>
	<parameter name="noPo" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["PO-13030304"]]></defaultValueExpression>
	</parameter>
	<parameter name="tanggal" class="java.lang.String">
		<defaultValueExpression><![CDATA["2013-05-01"]]></defaultValueExpression>
	</parameter>
	<parameter name="kodeBarang1" class="java.lang.String">
		<defaultValueExpression><![CDATA[""]]></defaultValueExpression>
	</parameter>
	<parameter name="kodeBarang2" class="java.lang.String">
		<defaultValueExpression><![CDATA["15"]]></defaultValueExpression>
	</parameter>
	<parameter name="idGudang" class="java.lang.String">
		<defaultValueExpression><![CDATA[""]]></defaultValueExpression>
	</parameter>
	<queryString>
		<![CDATA[select * from fn_rpt_stok_saldo($P{kodeBarang1}, $P{kodeBarang2}, 
$P{idGudang}, $P{tanggal}) as (nama_gudang varchar, plu varchar, nama_barang varchar, satuan varchar, qty double precision, harga double precision)]]>
	</queryString>
	<field name="nama_gudang" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="nama_gudang"/>
	</field>
	<field name="plu" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="plu"/>
	</field>
	<field name="nama_barang" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="nama_barang"/>
	</field>
	<field name="satuan" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="satuan"/>
	</field>
	<field name="qty" class="java.lang.Double">
		<property name="com.jaspersoft.studio.field.label" value="qty"/>
	</field>
	<field name="harga" class="java.lang.Double">
		<property name="com.jaspersoft.studio.field.label" value="harga"/>
	</field>
	<variable name="gudangTotal" class="java.lang.Double" resetType="Group" resetGroup="gudang" calculation="Sum">
		<variableExpression><![CDATA[$F{harga}]]></variableExpression>
	</variable>
	<variable name="itemTotal" class="java.lang.Double" calculation="Sum">
		<variableExpression><![CDATA[$F{harga}]]></variableExpression>
	</variable>
	<variable name="nomor" class="java.lang.Integer" resetType="Group" resetGroup="gudang" calculation="Count">
		<variableExpression><![CDATA[$F{nama_barang}]]></variableExpression>
	</variable>
	<group name="gudang" isReprintHeaderOnEachPage="true">
		<groupExpression><![CDATA[$F{nama_gudang}]]></groupExpression>
		<groupHeader>
			<band height="50" splitType="Stretch">
				<staticText>
					<reportElement key="staticText-16" x="0" y="32" width="34" height="18" uuid="d20748b9-f81d-4b0c-b4c1-8a23e4cbcf8b"/>
					<box leftPadding="2" rightPadding="2">
						<topPen lineWidth="0.75"/>
						<leftPen lineWidth="0.75" lineStyle="Solid"/>
						<bottomPen lineWidth="0.75" lineStyle="Solid"/>
					</box>
					<textElement verticalAlignment="Middle">
						<font size="10" isBold="true"/>
					</textElement>
					<text><![CDATA[No.]]></text>
				</staticText>
				<staticText>
					<reportElement key="staticText-18" x="96" y="32" width="230" height="18" uuid="89c4a724-f885-4ae4-bb9d-60a6c284670e"/>
					<box leftPadding="2" rightPadding="2">
						<topPen lineWidth="0.75"/>
						<leftPen lineWidth="0.75" lineStyle="Solid"/>
						<bottomPen lineWidth="0.75" lineStyle="Solid"/>
					</box>
					<textElement textAlignment="Left" verticalAlignment="Middle">
						<font size="10" isBold="true"/>
					</textElement>
					<text><![CDATA[Keterangan]]></text>
				</staticText>
				<staticText>
					<reportElement key="staticText-20" x="326" y="32" width="58" height="18" uuid="8b66f986-4916-423d-a25e-ed9b7f444c54"/>
					<box leftPadding="2" rightPadding="2">
						<topPen lineWidth="0.75"/>
						<leftPen lineWidth="0.75" lineStyle="Solid"/>
						<bottomPen lineWidth="0.75" lineStyle="Solid"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font size="10" isBold="true"/>
					</textElement>
					<text><![CDATA[Unit]]></text>
				</staticText>
				<staticText>
					<reportElement key="staticText-21" x="384" y="32" width="58" height="18" uuid="95f9f20e-17c1-4c62-951d-8fee238108bf"/>
					<box leftPadding="2" rightPadding="2">
						<topPen lineWidth="0.75"/>
						<leftPen lineWidth="0.75" lineStyle="Solid"/>
						<bottomPen lineWidth="0.75" lineStyle="Solid"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font size="10" isBold="true"/>
					</textElement>
					<text><![CDATA[Qty]]></text>
				</staticText>
				<staticText>
					<reportElement key="staticText-24" x="442" y="32" width="93" height="18" uuid="aae24f57-7b3d-4c2d-90e7-4fce744f4ac8"/>
					<box leftPadding="2" rightPadding="2">
						<topPen lineWidth="0.75"/>
						<leftPen lineWidth="0.75" lineStyle="Solid"/>
						<bottomPen lineWidth="0.75" lineStyle="Solid"/>
						<rightPen lineWidth="0.75" lineStyle="Solid"/>
					</box>
					<textElement textAlignment="Right" verticalAlignment="Middle">
						<font size="10" isBold="true"/>
					</textElement>
					<text><![CDATA[Harga]]></text>
				</staticText>
				<staticText>
					<reportElement key="staticText-34" x="0" y="0" width="85" height="16" uuid="8cec4bca-7ed6-4de3-ac08-1008c32d32f7"/>
					<box leftPadding="1" rightPadding="1">
						<topPen lineWidth="0.0"/>
						<leftPen lineWidth="0.0" lineStyle="Solid"/>
						<bottomPen lineWidth="0.0" lineStyle="Solid"/>
					</box>
					<textElement verticalAlignment="Middle">
						<font size="10" isBold="false"/>
					</textElement>
					<text><![CDATA[Gudang]]></text>
				</staticText>
				<textField isBlankWhenNull="false">
					<reportElement key="textField-23" x="96" y="0" width="439" height="16" uuid="8b047d89-4f79-490e-8e8a-f3fcc4463a2d"/>
					<box leftPadding="1" rightPadding="1">
						<leftPen lineWidth="0.0" lineStyle="Solid"/>
						<bottomPen lineWidth="0.0" lineStyle="Solid"/>
					</box>
					<textElement verticalAlignment="Middle">
						<font size="10" isBold="false"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{nama_gudang}]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement key="staticText-35" x="85" y="0" width="11" height="16" uuid="29b7912d-1423-42a2-b5a8-ca8dcb0564ac"/>
					<box leftPadding="1" rightPadding="1">
						<topPen lineWidth="0.0"/>
						<leftPen lineWidth="0.0" lineStyle="Solid"/>
						<bottomPen lineWidth="0.0" lineStyle="Solid"/>
					</box>
					<textElement verticalAlignment="Middle">
						<font size="10" isBold="false"/>
					</textElement>
					<text><![CDATA[:]]></text>
				</staticText>
				<staticText>
					<reportElement key="staticText-36" x="0" y="16" width="85" height="16" uuid="bf65c7ec-8a44-4c9d-9da8-f88a3070713c"/>
					<box leftPadding="1" rightPadding="1">
						<topPen lineWidth="0.0"/>
						<leftPen lineWidth="0.0" lineStyle="Solid"/>
						<bottomPen lineWidth="0.0" lineStyle="Solid"/>
					</box>
					<textElement verticalAlignment="Middle">
						<font size="10" isBold="false"/>
					</textElement>
					<text><![CDATA[Periode]]></text>
				</staticText>
				<staticText>
					<reportElement key="staticText-37" x="85" y="16" width="11" height="16" uuid="21506a4b-e1f4-4289-8ca3-a3e37110d8e8"/>
					<box leftPadding="1" rightPadding="1">
						<topPen lineWidth="0.0"/>
						<leftPen lineWidth="0.0" lineStyle="Solid"/>
						<bottomPen lineWidth="0.0" lineStyle="Solid"/>
					</box>
					<textElement verticalAlignment="Middle">
						<font size="10" isBold="false"/>
					</textElement>
					<text><![CDATA[:]]></text>
				</staticText>
				<staticText>
					<reportElement key="staticText-38" x="34" y="32" width="62" height="18" uuid="52adc5ca-db8b-433d-92a4-d27aa3e41a4d"/>
					<box leftPadding="2" rightPadding="2">
						<topPen lineWidth="0.75"/>
						<leftPen lineWidth="0.75" lineStyle="Solid"/>
						<bottomPen lineWidth="0.75" lineStyle="Solid"/>
					</box>
					<textElement verticalAlignment="Middle">
						<font size="10" isBold="true"/>
					</textElement>
					<text><![CDATA[Kode Stok]]></text>
				</staticText>
				<textField isBlankWhenNull="false">
					<reportElement key="textField-28" x="96" y="16" width="439" height="16" uuid="32412e12-b613-46d3-8bb7-4d9178eecb3b"/>
					<box>
						<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<bottomPen lineWidth="0.0" lineColor="#000000"/>
						<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					</box>
					<textElement textAlignment="Left" verticalAlignment="Middle">
						<font isUnderline="false"/>
					</textElement>
					<textFieldExpression><![CDATA[$P{tanggal}.substring(8,10)+ $P{tanggal}.substring(4,7)+'-'+$P{tanggal}.substring(0,4)]]></textFieldExpression>
				</textField>
			</band>
		</groupHeader>
		<groupFooter>
			<band height="18" splitType="Stretch">
				<textField pattern="#,##0.00" isBlankWhenNull="true">
					<reportElement key="textField-26" x="442" y="0" width="93" height="17" uuid="bb6b235b-ae8b-4929-bc18-6f46d01d8733"/>
					<box leftPadding="2" rightPadding="2">
						<topPen lineWidth="1.25" lineStyle="Double"/>
						<leftPen lineWidth="0.75" lineStyle="Solid"/>
						<bottomPen lineWidth="1.25" lineStyle="Double"/>
						<rightPen lineWidth="0.75"/>
					</box>
					<textElement textAlignment="Right" verticalAlignment="Middle">
						<font size="10" isBold="true"/>
					</textElement>
					<textFieldExpression><![CDATA[$V{gudangTotal}]]></textFieldExpression>
				</textField>
				<textField isBlankWhenNull="false">
					<reportElement key="textField-27" x="0" y="0" width="442" height="17" uuid="99b0333c-58d8-47af-aeae-663b72dc9a27"/>
					<box leftPadding="2" rightPadding="2">
						<topPen lineWidth="1.25" lineStyle="Double"/>
						<leftPen lineWidth="0.75" lineStyle="Solid"/>
						<bottomPen lineWidth="1.25" lineStyle="Double"/>
					</box>
					<textElement verticalAlignment="Middle">
						<font size="10" isBold="true"/>
					</textElement>
					<textFieldExpression><![CDATA[""]]></textFieldExpression>
				</textField>
			</band>
		</groupFooter>
	</group>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band splitType="Stretch"/>
	</title>
	<pageHeader>
		<band height="66" splitType="Stretch">
			<staticText>
				<reportElement key="staticText-32" x="0" y="33" width="535" height="17" uuid="d1fc868a-3fff-4edd-851e-350f9e268f5b"/>
				<textElement>
					<font size="12" isBold="true"/>
				</textElement>
				<text><![CDATA[Daftar Saldo Stok]]></text>
			</staticText>
			<textField isBlankWhenNull="false">
				<reportElement key="textField" x="0" y="0" width="535" height="24" uuid="23d18f26-b411-4d89-8bed-c42f5a56a0da"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Tahoma" size="14" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{toko}]]></textFieldExpression>
			</textField>
		</band>
	</pageHeader>
	<columnHeader>
		<band splitType="Stretch"/>
	</columnHeader>
	<detail>
		<band height="17" splitType="Stretch">
			<textField pattern="#,##0" isBlankWhenNull="false">
				<reportElement key="textField-9" x="0" y="0" width="34" height="17" uuid="cb4a96ee-9918-441c-b54e-1602a9d40684"/>
				<box leftPadding="2" rightPadding="2">
					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font size="10"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{nomor}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="false">
				<reportElement key="textField-11" x="34" y="0" width="62" height="17" uuid="779580b2-163b-4ef3-b2bc-135c74192d48"/>
				<box leftPadding="2" rightPadding="2">
					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font size="10"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{plu}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="false">
				<reportElement key="textField-12" x="96" y="0" width="230" height="17" uuid="dca81dc9-179c-4870-b027-191c7271ef69"/>
				<box leftPadding="2" rightPadding="2">
					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font size="10"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{nama_barang}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00" isBlankWhenNull="true">
				<reportElement key="textField-14" x="326" y="0" width="58" height="17" uuid="98877615-129b-487c-b539-74c37ef6ea9c"/>
				<box leftPadding="2" rightPadding="2">
					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="10"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{satuan}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00" isBlankWhenNull="true">
				<reportElement key="textField-15" x="384" y="0" width="58" height="17" uuid="b6824048-644c-4663-a856-b7898df11ce6"/>
				<box leftPadding="2" rightPadding="2">
					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="10"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{qty}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0" isBlankWhenNull="true">
				<reportElement key="textField-16" x="442" y="0" width="93" height="17" uuid="335869df-a529-48af-ab83-d3827f9f2797"/>
				<box leftPadding="2" rightPadding="2">
					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
					<rightPen lineWidth="0.75"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="10"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{harga}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<columnFooter>
		<band splitType="Stretch"/>
	</columnFooter>
	<pageFooter>
		<band height="20" splitType="Stretch"/>
	</pageFooter>
	<summary>
		<band height="52" splitType="Stretch">
			<textField pattern="#,##0.00" isBlankWhenNull="true">
				<reportElement key="textField-31" x="442" y="0" width="93" height="17" uuid="d19ad386-c274-4700-aee7-41e31f8268e5"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="1.25" lineStyle="Double"/>
					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="1.25" lineStyle="Double"/>
					<rightPen lineWidth="0.75"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="10" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{itemTotal}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="false">
				<reportElement key="textField-32" x="0" y="0" width="442" height="17" uuid="0a5b820c-c9cd-4b6b-a32c-b82d2ab69ad0"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="1.25" lineStyle="Double"/>
					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="1.25" lineStyle="Double"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font size="10" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[""]]></textFieldExpression>
			</textField>
		</band>
	</summary>
</jasperReport>
